Loading...
Searching...
No Matches
Opm::FlashIntensiveQuantities< TypeTag > Class Template Reference

Contains the intensive quantities of the flash-based compositional multi-phase model. More...

`#include <flashintensivequantities.hh>`

Inheritance diagram for Opm::FlashIntensiveQuantities< TypeTag >:

## Public Types

using | FluidState = CompositionalFluidState<Evaluation, FluidSystem, enableEnergy>
| The type of the object returned by the fluidState() method.
using | FluidState = CompositionalFluidState<Evaluation, FluidSystem, enableEnergy>
| The type of the object returned by the fluidState() method.

## Public Member Functions

| FlashIntensiveQuantities (const FlashIntensiveQuantities &other)=default
FlashIntensiveQuantities & | operator= (const FlashIntensiveQuantities &other)=default
void | update (const ElementContext &elemCtx, unsigned dofIdx, unsigned timeIdx)
const FluidState & | fluidState () const
| Returns the phase state for the control-volume.
const DimMatrix & | intrinsicPermeability () const
| Returns the intrinsic permeability tensor a degree of freedom.
const Evaluation & | relativePermeability (unsigned phaseIdx) const
| Returns the relative permeability of a given phase within the control volume.
const Evaluation & | mobility (unsigned phaseIdx) const
| Returns the effective mobility of a given phase within the control volume.
const Evaluation & | porosity () const
| Returns the average porosity within the control volume.
| FlashIntensiveQuantities (const FlashIntensiveQuantities &other)=default
FlashIntensiveQuantities & | operator= (const FlashIntensiveQuantities &other)=default
void | update (const ElementContext &elemCtx, unsigned dofIdx, unsigned timeIdx)
const FluidState & | fluidState () const
| Returns the phase state for the control-volume.
const DimMatrix & | intrinsicPermeability () const
| Returns the intrinsic permeability tensor a degree of freedom.
const Evaluation & | relativePermeability (unsigned phaseIdx) const
| Returns the relative permeability of a given phase within the control volume.
const Evaluation & | mobility (unsigned phaseIdx) const
| Returns the effective mobility of a given phase within the control volume.
const Evaluation & | porosity () const
| Returns the average porosity within the control volume.

## Detailed Description

template<class TypeTag>
class Opm::FlashIntensiveQuantities< TypeTag >

Contains the intensive quantities of the flash-based compositional multi-phase model.

Contains the intensive quantities of the ptflash-based compositional multi-phase model.

## Member Function Documentation

## fluidState() [1/2]

template<class TypeTag>

const FluidState & Opm::FlashIntensiveQuantities< TypeTag >::fluidState | ( |  | ) | const

inline

Returns the phase state for the control-volume.

## fluidState() [2/2]

template<class TypeTag>

const FluidState & Opm::FlashIntensiveQuantities< TypeTag >::fluidState | ( |  | ) | const

inline

Returns the phase state for the control-volume.

## intrinsicPermeability() [1/2]

template<class TypeTag>

const DimMatrix & Opm::FlashIntensiveQuantities< TypeTag >::intrinsicPermeability | ( |  | ) | const

inline

Returns the intrinsic permeability tensor a degree of freedom.

## intrinsicPermeability() [2/2]

template<class TypeTag>

const DimMatrix & Opm::FlashIntensiveQuantities< TypeTag >::intrinsicPermeability | ( |  | ) | const

inline

Returns the intrinsic permeability tensor a degree of freedom.

## mobility() [1/2]

template<class TypeTag>

const Evaluation & Opm::FlashIntensiveQuantities< TypeTag >::mobility | ( | unsigned | phaseIdx | ) | const

inline

Returns the effective mobility of a given phase within the control volume.

## mobility() [2/2]

template<class TypeTag>

const Evaluation & Opm::FlashIntensiveQuantities< TypeTag >::mobility | ( | unsigned | phaseIdx | ) | const

inline

Returns the effective mobility of a given phase within the control volume.

## porosity() [1/2]

template<class TypeTag>

const Evaluation & Opm::FlashIntensiveQuantities< TypeTag >::porosity | ( |  | ) | const

inline

Returns the average porosity within the control volume.

## porosity() [2/2]

template<class TypeTag>

const Evaluation & Opm::FlashIntensiveQuantities< TypeTag >::porosity | ( |  | ) | const

inline

Returns the average porosity within the control volume.

## relativePermeability() [1/2]

template<class TypeTag>

const Evaluation & Opm::FlashIntensiveQuantities< TypeTag >::relativePermeability | ( | unsigned | phaseIdx | ) | const

inline

Returns the relative permeability of a given phase within the control volume.

## relativePermeability() [2/2]

template<class TypeTag>

const Evaluation & Opm::FlashIntensiveQuantities< TypeTag >::relativePermeability | ( | unsigned | phaseIdx | ) | const

inline

Returns the relative permeability of a given phase within the control volume.

## update() [1/2]

template<class TypeTag>

void Opm::FlashIntensiveQuantities< TypeTag >::update | ( | const ElementContext & | elemCtx,
|  | unsigned | dofIdx,
|  | unsigned | timeIdx )

inline

## update() [2/2]

template<class TypeTag>

void Opm::FlashIntensiveQuantities< TypeTag >::update | ( | const ElementContext & | elemCtx,
|  | unsigned | dofIdx,
|  | unsigned | timeIdx )

inline

The documentation for this class was generated from the following files:

- opm/models/flash/flashintensivequantities.hh
- opm/models/ptflash/flashintensivequantities.hh